Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.samplers
Class RemoteSampleListenerImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  org.apache.jmeter.samplers.RemoteSampleListenerImpl

All Implemented Interfaces:
  Remote, RemoteSampleListener, SampleListener, Serializable, TestListener

public class RemoteSampleListenerImpl
extends UnicastRemoteObject
implements RemoteSampleListener, SampleListener, TestListener

Implementation of remote sampler listener, also supports TestListener

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteSampleListenerImpl(Object listener)`

Method Summary
`void` | `processBatch(List samples)` This method is called remotely and fires a list of samples events received locally.
`void` | `sampleOccurred(SampleEvent e)` A sample has started and stopped.
`void` | `sampleStarted(SampleEvent e)` A sample has started.
`void` | `sampleStopped(SampleEvent e)` A sample has stopped.
`void` | `testEnded()` Called once for all threads after the end of a test.
`void` | `testEnded(String host)` Called once for all threads after the end of a test.
`void` | `testIterationStart(LoopIterationEvent event)` Each time through a Thread Group's test script, an iteration event is fired for each thread.
`void` | `testStarted()` Called just before the start of the test from the main engine thread.
`void` | `testStarted(String host)` Called just before the start of the test from the main engine thread.

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteSampleListenerImpl

    public RemoteSampleListenerImpl(Object listener)
                             throws RemoteException

Method Detail

### testStarted

    public void testStarted()

  Description copied from interface: `TestListener`

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `RemoteSampleListener`

### testStarted

    public void testStarted(String host)

  Description copied from interface: `TestListener`

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `RemoteSampleListener`

### testEnded

    public void testEnded()

  Description copied from interface: `TestListener`

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `RemoteSampleListener`

### testEnded

    public void testEnded(String host)

  Description copied from interface: `TestListener`

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `RemoteSampleListener`

### testIterationStart

    public void testIterationStart(LoopIterationEvent event)

  Description copied from interface: `TestListener`
  Each time through a Thread Group's test script, an iteration event is fired for each thread. This will be after the test elements have been cloned, so in general the instance will not be the same as the ones the start/end methods call.

  Specified by:
    `testIterationStart` in interface `TestListener`
  Parameters:
    `event` -

### processBatch

    public void processBatch(List samples)

  This method is called remotely and fires a list of samples events received locally. The function is to reduce network load when using remote testing.

  Specified by:
    `processBatch` in interface `RemoteSampleListener`
  Parameters:
    `samples` - the list of sample events to be fired locally

### sampleOccurred

    public void sampleOccurred(SampleEvent e)

  Description copied from interface: `RemoteSampleListener`
  A sample has started and stopped.

  Specified by:
    `sampleOccurred` in interface `RemoteSampleListener`

### sampleStarted

    public void sampleStarted(SampleEvent e)

  A sample has started.

  Specified by:
    `sampleStarted` in interface `RemoteSampleListener`

### sampleStopped

    public void sampleStopped(SampleEvent e)

  A sample has stopped.

  Specified by:
    `sampleStopped` in interface `RemoteSampleListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.